<?php

declare(strict_types=1);

namespace Dedi\SyliusMarketingPlugin\Events;

use Dedi\SyliusMarketingPlugin\JsonSerializeTrait;

class UnlockAchievement implements \JsonSerializable, EventInterface
{
    use JsonSerializeTrait;

    private string $achievement_id;

    public function __construct(string $achievement_id)
    {
        $this->achievement_id = $achievement_id;
    }

    public function getName(): string
    {
        return 'unlock_achievement';
    }
}
